Your submission was sent successfully! Close

CVE-2016-5828

Published: 27 June 2016

The start_thread function in arch/powerpc/kernel/process.c in the Linux kernel through 4.6.3 on powerpc platforms mishandles transactional state, which allows local users to cause a denial of service (invalid process state or TM Bad Thing exception, and system crash) or possibly have unspecified other impact by starting and suspending a transaction before an exec system call.

From the Ubuntu security team

Cyril Bur discovered that on PowerPC platforms, the Linux kernel mishandled transactional memory state on exec(). A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code.

Priority

Medium

CVSS 3 base score: 7.8

Status

Package Release Status
linux
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
Patches:
Introduced by bc2a9408fa65195288b41751016c36fd00a75a85
Fixed by 8e96a87c5431c256feb65bcfc5aec92d9f7839b6
linux-armadaxp
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
This package is not directly supported by the Ubuntu Security Team
linux-aws
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-flo
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-gke
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-goldfish
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-grouper
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-hwe
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-hwe-edge
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-linaro-omap
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-linaro-shared
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-linaro-vexpress
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-lts-quantal
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
This package is not directly supported by the Ubuntu Security Team
linux-lts-raring
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-lts-saucy
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
This package is not directly supported by the Ubuntu Security Team
linux-lts-trusty
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-lts-utopic
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-lts-vivid
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-lts-wily
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-lts-xenial
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-maguro
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-mako
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-manta
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-qcm-msm
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-raspi2
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-snapdragon
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)
linux-ti-omap4
Launchpad, Ubuntu, Debian
Upstream
Released (4.7~rc6)

Notes

AuthorNote
jdstrand
android kernels (flo, goldfish, grouper, maguro, mako and manta) are
not supported on the Ubuntu Touch 14.10 and earlier preview kernels
linux-lts-saucy no longer receives official support
linux-lts-quantal no longer receives official support

References